TORRUS_ACTION_PRINTEMAIL(7)

NAME
action_printemail - A script for sending email from monitor action.

SYNOPSIS
 <action name="report-email">
   <param name="action-type" value="exec" />
   <param name="command">
     $TORRUS_BIN/action_printemail | mail alarms@example.com
   </param>
   <param name="launch-when" value="set, clear" />
 </action>

DESCRIPTION
This program is designed for usage from a monitor action only. It takes the arguments from environment variables, as described in action-type "exec" in Torrus XML Configuration Guide. In addition, some values may be supplied via command-line arguments (see section OPTIONS below).

Site-specific variables must be specified in the file email-siteconfig.pl. Default values are installed by the first run of "make install". Subsequent runs of "make install" do not override this file.

OPTIONS

--url=GRAPHER-URL
    Sets the URL of the grapher CGI script.

--template=TEMPLATE-FILE
    Uses given file as a template. The template file must reside in /usr/share/torrus/templates directory. It must be a Template-toolkit file, with the following variables defined:

     tree       Tree name
     token      Leaf token
     path       Leaf path
     url        URL for browsing this leaf
     ncomment   This leaf comment
     npcomment  Leaf's parent comment
     event      Event type
     monitor    Monitor name
     mcomment   Monitor comment
     timestamp  Time and date of the event
     env(VAR)   Environment variable VAR

FILES

/etc/torrus/conf/email-siteconfig.pl
    Torrus site email configuration script.

/usr/share/torrus/templates
/etc/torrus/templates
    Torrus template directories.

SEE ALSO
torrus(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>